Need help with updating gei / galaxy eagle i flashcart ....

Discussion in 'NDS - Flashcarts and Accessories' started by fadpoly, Nov 28, 2013.

  1. fadpoly
    OP

    fadpoly Newbie

    Newcomer
    3
    0
    Nov 26, 2013
    Hello

    I have a gei / galaxy eagle i flashcart on 2.1 and my dsi on ver 1.3U, i need help with how to update my flashcart to play newer games.

    the offical website says i have to update to GEI upgrade version 1.41 so i can use the GEI v3.0 Kernal and above, I have tried the update file 1.4 and 1.41 but with no success, when i press start to update flashcart it get stuck on ( updating dont power off ds ), and one time it started to update and reached 100% then said the update failed.

    here is a link to the website
    Code:
    http://www.ge.ndsi.in/news_geien.html

    thanks for your time.
     
  2. dirkblooms19

    dirkblooms19 Newbie

    Newcomer
    2
    0
    Jun 22, 2014
    Laguna
    that is my problem also, :mellow:
    i think the only way to update w/ a new game is to buy new flash carts (r4i) :unsure:
     
  3. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,283
    680
    Oct 22, 2011
    Gambia, The
    Which GEi do you have? The normal one, the Pro one or the hot one?